Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http.cache.push
Class PushCacheManager

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.cache.push.PushCacheManager

public class PushCacheManager
extends java.lang.Object

Singleton class to manage push cache.

See Also:
  `PushCacheHandler`

Field Summary
`static java.lang.String` | `HEADER_FIELD` Additional header field and value to identify push resources
`static java.lang.String` | `HEADER_VALUE`

Constructor Summary
`protected` | `PushCacheManager()` Singleton; no public constructor

Method Summary
`void` | `cleanCache()` Remove all entries from the cache
`protected void` | `deleteRes(CachedResource res)` Remove resource from cache
`protected org.w3c.www.protocol.http.cache.push.PushCacheStore` | `getStore()` Access to filter store
`static PushCacheManager` | `instance()` Access to manager
`boolean` | `isPresent(java.lang.String url)` True iff url is present in cache
`boolean` | `isPushResource(CachedResource res)` true iff res contains extra header identifying it as having been inserted directly into the cache from a PUSH source
`protected void` | `registerFilter(PushCacheFilter cf)` Called by PushCacheFilter on initialization
`void` | `removeURL(java.lang.String url)` Remove a reply from the cache
`void` | `storeReply(PushReply reply)` Store a push reply in the cache

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_FIELD

    public static final java.lang.String HEADER_FIELD

  Additional header field and value to identify push resources

  See Also:
    Constant Field Values

### HEADER_VALUE

    public static final java.lang.String HEADER_VALUE

See Also:
  Constant Field Values

Constructor Detail

### PushCacheManager

    protected PushCacheManager()

  Singleton; no public constructor

See Also:
  `instance()`

Method Detail

### instance

    public static PushCacheManager instance()

  Access to manager

### isPushResource

    public boolean isPushResource(CachedResource res)

  true iff res contains extra header identifying it as having been inserted directly into the cache from a PUSH source

### storeReply

    public void storeReply(PushReply reply)

  Store a push reply in the cache

### removeURL

    public void removeURL(java.lang.String url)

  Remove a reply from the cache

### isPresent

    public boolean isPresent(java.lang.String url)

  True iff url is present in cache

### deleteRes

    protected void deleteRes(CachedResource res)

  Remove resource from cache

### cleanCache

    public void cleanCache()

  Remove all entries from the cache

### registerFilter

    protected void registerFilter(PushCacheFilter cf)

  Called by PushCacheFilter on initialization

### getStore

    protected org.w3c.www.protocol.http.cache.push.PushCacheStore getStore()

  Access to filter store

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD